package com.application;

import org.restlet.ext.xml.DomRepresentation;
import org.restlet.resource.Delete;
import org.restlet.resource.Get;
import org.restlet.resource.Put;

public interface GameResource {
    @Get("*:xml")
    public DomRepresentation getRequests();
    @Get("?challenger")
    public DomRepresentation getCompletedRequests();
    @Put("*:xml")
    public String addUpdateRequest(DomRepresentation request);
    @Put("?random")
    public String addRandomRequest(DomRepresentation request);
    @Delete
    public String removeRequest();
}
