package com.application;

import org.restlet.ext.xml.DomRepresentation;
import org.restlet.representation.Representation;
import org.restlet.resource.Delete;
import org.restlet.resource.Get;
import org.restlet.resource.Put;

import java.io.IOException;
import java.sql.SQLException;

/**
 * User: malinbe
 * Date: 06.02.13
 */
public interface PuzzleResource {
    @Get("*:xml")
    public DomRepresentation get();
    @Get("?editable")
    public DomRepresentation getEditable();
    @Put("?questionset")
    public String putQuestionSet(DomRepresentation questionSets);
    @Put("*:xml")
    public String store(DomRepresentation puzzle);
    @Put("?rating")
    public String rate(Representation empty) throws IOException;
    @Delete
    public String remove();
}
