package com.application;

import org.restlet.ext.xml.DomRepresentation;
import org.restlet.resource.ResourceException;
import org.restlet.resource.ServerResource;

public class HighscoreServerResource extends ServerResource implements HighscoreResource {
    private JdbcService service;

    @Override
    protected void doInit()throws ResourceException {
        service = JdbcService.getInstance();
    }
    @Override
    public DomRepresentation get() {
        return service.getHighscore(Integer.parseInt(getAttribute("puzzleId")));
    }

    @Override
    public String update(DomRepresentation highscore) {
        return service.updateHighscore(Integer.parseInt(getAttribute("puzzleId")), Integer.parseInt(getAttribute("userId")), highscore);
    }

    @Override
    public String addTimesPlayed(DomRepresentation empty) {
        return service.addTimesPlayed(Integer.parseInt(getAttribute("puzzleId")));
    }
}
